## keystone 10.0.0~b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Temporarily add Babel reference to avoid problem
# in keystone-coverage-db CI job
Babel>=2.3.4 # BSD

pbr>=1.6 # Apache-2.0
WebOb>=1.2.3 # MIT
PasteDeploy>=1.5.0 # MIT
Paste # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
cryptography!=1.3.0,>=1.0 # BSD/Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
passlib>=1.6 # BSD
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.12.0 # Apache-2.0
oslo.context>=2.4.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.15.0 # Apache-2.0
oauthlib>=0.6 # BSD
pysaml2<4.0.3,>=2.4.0 # Apache-2.0
dogpile.cache>=0.6.1 # BSD
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack-python>=0.4.0 # Apache-2.0
osprofiler>=1.3.0 # Apache-2.0

=== debian/changelog ===
keystone (2:10.0.0~b2-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Always reconfigure apache to include keystone's vhost.
  * Also redo the keystone_bootstrap_admin in case of upgrades, and do a
    db_unregister of keystone/register-endpoint and
    keystone/create-admin-tenant to make sure we don't make it twice.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 11:26:11 +0000

keystone (2:10.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added missing build-depends: python-testresources.
  * Added missing runtime depends: apache2.
  * Make the cron.hourly work also with a commented provider= directive.
  * Also setup apache if not setting-up db.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Jul 2016 21:34:02 +0000

keystone (2:10.0.0~b1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop now useless patches.
  * Remove files from $(CURDIR)/debian/tmp/usr/etc to avoid dh_install
    --fail-missing to fail.
  * Install tempest plugin correctly.
  * Patch requirements.txt to trash lines than breaks deps calculation.
  * Using oslo-config-generator to build keystone.conf.
  * Move all binaries to python-keystone, preparing Py3 transition.
  * keystone-all is gone, using uwsgi instead.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Jun 2016 15:30:58 +0000

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-apparmor,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 52~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: git,
                     python-babel (>= 2.3.4),
                     python-bashate,
                     python-coverage,
                     python-crypto,
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.6.1),
                     python-fixtures (>= 3.0.0),
                     python-hacking,
                     python-jsonschema,
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-ldap,
                     python-ldappool,
                     python-lxml,
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.10.0),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oauthlib,
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.12.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.5.0),
                     python-oslo.log (>= 3.8.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.utils (>= 3.15.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.3.0),
                     python-pam,
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy,
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.1),
                     python-pysaml2 (>= 3.0.0),
                     python-pysqlite2,
                     python-requests (>= 2.10.0),
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.10.0),
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
Standards-Version: 3.9.8
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/keystone.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/keystone.git

Package: python-keystone
Architecture: all
Section: python
Breaks: keystone (<< 10.0.0~),
Replaces: keystone (<< 10.0.0~),
Depends: python-babel (>= 2.3.4),
         python-crypto,
         python-cryptography (>= 1.0),
         python-dateutil,
         python-dogpile.cache (>= 0.6.1),
         python-jsonschema,
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-ldap,
         python-ldappool,
         python-lxml,
         python-memcache (>= 1.56),
         python-migrate (>= 0.10.0),
         python-msgpack,
         python-mysqldb,
         python-oauthlib,
         python-openstackclient (>= 1.6.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.12.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.5.0),
         python-oslo.log (>= 3.8.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.utils (>= 3.15.0),
         python-osprofiler (>= 1.3.0),
         python-pam,
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 3.0.0),
         python-pysqlite2,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.10.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Depends: adduser,
         apache2,
         dbconfig-common,
         init-system-helpers,
         libapache2-mod-wsgi,
         python-keystone (= ${source:Version}),
         q-text-as-data,
         sqlite3,
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: apparmor,
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python2.7/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	patch -p1 -R <debian/patches/fixes-default-connection.patch
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystone\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	patch -p1 <debian/patches/fixes-default-connection.patch
endif



override_dh_auto_build:
	dh_auto_build

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install --fail-missing
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	mkdir -p $(CURDIR)/debian/keystone/usr/share/keystone
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf \
		--wrap-width 79 \
		--namespace keystone \
		--namespace keystone.notifications \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace osprofiler
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf catalog template_file /etc/keystone/default_catalog.templates
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_dir /var/log/keystone
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_file keystone.log

	install -D -m 0644 httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py
	dh_python2 /usr/share/keystone

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.keystone*.init $(CURDIR)/debian/keystone.keystone*.service $(CURDIR)/debian/keystone.keystone*.upstart
	dh_clean

#override_dh_installmenu:
#	dh_installinit --name=keystone-admin
#	dh_installinit --name=keystone-public

## keystone 10.0.0~b3

=== debian/changelog ===
keystone (2:10.0.0~b3-1+776~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 18:11:03 +0000

keystone (2:10.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using OpenStack's Gerrit as VCS URL.
  * Always reconfigure apache to include keystone's vhost.
  * Also redo the keystone_bootstrap_admin in case of upgrades, and do a
    db_unregister of keystone/register-endpoint and
    keystone/create-admin-tenant to make sure we don't make it twice.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Sep 2016 14:58:20 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
                      python-coverage,
                      python-crypto,
                      python-cryptography (>= 1.0),
-                     python-dogpile.cache (>= 0.6.1),
+                     python-dogpile.cache (>= 0.6.2),
                      python-fixtures (>= 3.0.0),
+                     python-freezegun,
                      python-hacking,
                      python-jsonschema,
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-ldap,
                      python-ldappool,
@@ -33,22 +34,23 @@
                      python-mock (>= 2.0),
                      python-msgpack,
                      python-oauthlib,
+                     python-os-api-ref,
                      python-os-testr (>= 0.7.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.5.0),
                      python-oslo.log (>= 3.8.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.serialization (>= 2.0.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-osprofiler (>= 1.3.0),
+                     python-osprofiler (>= 1.4.0),
                      python-pam,
                      python-passlib (>= 1.6),
                      python-paste,
@@ -61,7 +63,7 @@
                      python-routes,
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-tempest (>= 1:12.1.0),
                      python-testresources,
                      python-testscenarios,
@@ -74,8 +76,8 @@
                      testrepository,
 Standards-Version: 3.9.8
 Homepage: http://keystone.openstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/keystone.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/keystone.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-keystone
+Vcs-Git: https://git.openstack.org/openstack/deb-keystone
 
 Package: python-keystone
 Architecture: all
@@ -86,9 +88,9 @@
          python-crypto,
          python-cryptography (>= 1.0),
          python-dateutil,
-         python-dogpile.cache (>= 0.6.1),
+         python-dogpile.cache (>= 0.6.2),
          python-jsonschema,
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-keystonemiddleware (>= 4.0.0),
          python-ldap,
          python-ldappool,
@@ -101,17 +103,17 @@
          python-openstackclient (>= 1.6.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.5.0),
          python-oslo.log (>= 3.8.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
          python-oslo.serialization (>= 2.0.0),
-         python-oslo.utils (>= 3.15.0),
-         python-osprofiler (>= 1.3.0),
+         python-oslo.utils (>= 3.16.0),
+         python-osprofiler (>= 1.4.0),
          python-pam,
          python-passlib (>= 1.6),
          python-paste,
@@ -124,7 +126,7 @@
          python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-webob,
          ${misc:Depends},
          ${python:Depends},

## keystone 10.0.0~rc1

=== debian/changelog ===
keystone (2:10.0.0~rc1-2+2~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Fixed oslotest EPOCH.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 28 Sep 2016 10:26:46 +0000

keystone (2:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add --parallel when running unit tests.
  * Add python-pep8 as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2016 09:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -49,12 +49,13 @@
                      python-oslo.serialization (>= 2.0.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-pam,
                      python-passlib (>= 1.6),
                      python-paste,
                      python-pastedeploy,
+                     python-pep8,
                      python-pycadf (>= 1.1.0),
                      python-pymongo (>= 3.0.1),
                      python-pysaml2 (>= 3.0.0),
@@ -76,8 +77,8 @@
                      testrepository,
 Standards-Version: 3.9.8
 Homepage: http://keystone.openstack.org/
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-keystone
-Vcs-Git: https://git.openstack.org/openstack/deb-keystone
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-keystone?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-keystone -b debian/newton
 
 Package: python-keystone
 Architecture: all
@@ -144,7 +145,7 @@
 Depends: adduser,
          apache2,
          dbconfig-common,
-         init-system-helpers,
+         init-system-helpers (>= 1.22~),
          libapache2-mod-wsgi,
          python-keystone (= ${source:Version}),
          q-text-as-data,

## keystone 10.0.0~rc2

=== debian/changelog ===
keystone (2:10.0.0~rc2-1+6~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:32:12 +0000

keystone (2:10.0.0~rc2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 09:49:06 +0200

## keystone 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -16,26 +16,26 @@
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
-stevedore>=1.10.0 # Apache-2.0
+stevedore>=1.16.0 # Apache-2.0
 passlib>=1.6 # BSD
-python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
+python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
 oslo.cache>=1.5.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-oslo.config>=3.12.0 # Apache-2.0
-oslo.context>=2.4.0 # Apache-2.0
+oslo.config>=3.14.0 # Apache-2.0
+oslo.context>=2.9.0 # Apache-2.0
 oslo.messaging>=5.2.0 # Apache-2.0
-oslo.db>=4.1.0 # Apache-2.0
+oslo.db!=4.13.1,!=4.13.2,>=4.10.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.policy>=1.9.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.15.0 # Apache-2.0
+oslo.utils>=3.16.0 # Apache-2.0
 oauthlib>=0.6 # BSD
 pysaml2<4.0.3,>=2.4.0 # Apache-2.0
-dogpile.cache>=0.6.1 # BSD
+dogpile.cache>=0.6.2 # BSD
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 msgpack-python>=0.4.0 # Apache-2.0
-osprofiler>=1.3.0 # Apache-2.0
+osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
keystone (2:10.0.0-9+deb9u1) stretch-security; urgency=medium

  * CVE-2018-14432: authenticated user may discover projects they have no
    authority to access, leaking all projects in the deployment and their
    attributes. Applie upstream patch for Ocata rebased to Newton: "Reduce
    duplication in federated auth APIs (Closes: #904616).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Jul 2018 20:56:41 +0200

keystone (2:10.0.0-9) unstable; urgency=high

  * CVE-2017-2673 (OSSA-2017-004): Incorrect role assignment with federated
    Keystone. Applied upstream patch: Do not fetch group assignments without
    groups (Closes: #861189).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Apr 2017 22:29:13 +0200

keystone (2:10.0.0-8) unstable; urgency=medium

  * Do not use /sbin/route at all, and use ip only if it is available. The
    previous "fix" was in fact wrong, as net-tools and iproute2 aren't
    essential packages and adding it as depends wont fix.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Mar 2017 14:26:30 +0200

keystone (2:10.0.0-7) unstable; urgency=medium

  * Team upload.
  * Dependency added: net-tools (Closes: #858215)

 -- David Rabel <david.rabel@noresoft.com>  Sun, 19 Mar 2017 22:31:50 +0100

keystone (2:10.0.0-6) unstable; urgency=medium

  * Team upload.
  * Require newer python-routes (Closes: #851152)

 -- Ondřej Nový <onovy@debian.org>  Tue, 24 Jan 2017 10:52:37 +0100

keystone (2:10.0.0-5) unstable; urgency=medium

  * Check if /var/log/keystone exists in cron job (Closes: #847692).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:52:15 +0100

keystone (2:10.0.0-4) unstable; urgency=medium

  * Fix passlib call of encrypt() which is replaced by hash() upstream
    (Closes: #846729).

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Dec 2016 12:33:54 +0100

keystone (2:10.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Ondřej Kobližek ]
  * Add upstream patch Remove_trailing_d_from_-days_param_of_OpenSSL_command.patch
    (Closes: #843865)
  * Patch-out upper constraints of SQLAlchemy

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 28 Nov 2016 13:04:02 +0100

keystone (2:10.0.0-2) unstable; urgency=medium

  * Fixed unix right of /var/log/keystone (Closes: #840221).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2016 11:53:43 +0200

keystone (2:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2016 17:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: extra
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-apparmor,
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -61,7 +61,7 @@
                      python-pysaml2 (>= 3.0.0),
                      python-pysqlite2,
                      python-requests (>= 2.10.0),
-                     python-routes,
+                     python-routes (>> 2.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.16.0),
@@ -124,7 +124,7 @@
          python-pymysql,
          python-pysaml2 (>= 3.0.0),
          python-pysqlite2,
-         python-routes,
+         python-routes (>> 2.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
          python-stevedore (>= 1.16.0),

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 		rm -rf .testrepository ; \
 		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'keystone\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit --parallel 'keystone\.tests\.unit.*' | tee $$TEMP_REZ | subunit2pyunit ; \
 		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
 		rm -f $$TEMP_REZ ; \
 		testr-python$$PYMAJOR slowest ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/keystone/tags .*/(\d[\d\.]+)\.tar\.gz

## keystone 10.0.1

=== debian/changelog ===
keystone (2:10.0.1-0ubuntu2) yakkety; urgency=high

  * d/p/0001-Make-flushing-tokens-more-robust.patch: Commit token flushes
    between batches in order to lower resource consumption and
    make flushing more robust for replication (LP: #1649616).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 07 Jun 2017 13:07:50 +0100

keystone (2:10.0.1-0ubuntu1) yakkety; urgency=medium

  * New upstream stable release for OpenStack Newton. (LP: #1664306)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 01 Mar 2017 14:07:05 -0500

keystone (2:10.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 11:00:53 -0400

keystone (2:10.0.0~rc2-0ubuntu2) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 07:54:36 -0400

keystone (2:10.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:45:15 -0400

keystone (2:10.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control: Add python-freezegun to BD's.

  [ Corey Bryant ]
  * d/p/*: Rebased.

  [ James Page ]
  * New upstream release.
  * d/control: Add python-ldap and python-ldappool to Suggests (LP: #1612423).

  [ Corey Bryant ]
  * d/control: Add python-pep8 to BDs.
  * New upstream version.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 10:53:13 +0100

keystone (2:10.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/keystone.install: Install sso_callback_template.html in /etc/keystone,
    where keystone.conf looks for it by default (LP: #1578102).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Aug 2016 16:29:22 -0400

keystone (2:10.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh patches.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,python-keystone.install: Add keystone tempest plugins to
    python-keystone.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/*: Refresh patches.
  * d/p/add-version-info.patch: Added keystone/conf/extra_headers.py, replacing
    previous updates to keystone/common/config.py since this file has been
    broken down into more managable modules.
  * d/p/skip-test-revoke-by-audit-chain-id-chained-token.patch: Dropped. No
    longer able to recreate.
  * d/p/add-version-info.patch: Rebased.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebase patches.

  [ James Page ]
  * New upstream version.
  * d/control: Bump oslo.utils >= 3.15.0.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:36:32 -0400

keystone (2:10.0.0~b1-0ubuntu3) yakkety; urgency=medium

  * d/rules: Fix dh_install exclusions so configuration files don't
    get skipped.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jun 2016 10:39:29 +0100

keystone (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * d/keystone.apache2: Switch conf -> site as apache configuration
    is actually a set of virtual hosts, not global configuration.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jun 2016 11:11:09 +0100

keystone (2:10.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/doc-conf-git.patch: Dropped. No longer needed.
  * d/keystone.{apache2,conf,init.in}, d/control, d/rules,
    d/tests/keystone-daemon: Run keystone API under apache2 with mod_wsgi
    instead of under eventlet with keystone-all (LP: #1572283).
  * d/p/add-version-info.patch : Rebased.
  * d/p/fix-babel-requirement.txt: Drop Babel min version to 1.3 since that is
    what is currently in Ubuntu main.
  * d/rules: exclude tempest plugin tests when installing files.
  * d/p/skip-test-revoke-by-audit-chain-id-chained-token.patch: Skip
    test until upstream bug is resolved.
  * d/p/*: Rebased.

  [ James Page ]
  * d/rules: Switch to using os-testr for unit test execution.
  * d/control: Bump oslo.concurrency >= 3.8.0.
  * d/rules,keystone.install: Exclude etc/keystone from --fail-missing
    check, ensure all etc/* files are installed.

  [ David Della Vecchia ]
  * d/control: Bump oslo.utils >= 3.11.0.

  [ James Page ]
  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream milestone.
  * d/p/fix-babel-requirement.txt: Drop, 2.3.4 now in yakkety.
  * d/p/*: Refresh.
  * d/keystone.conf: Align WSGI configuration for Apache2 with upstream
    recommendations.
  * d/control: Add runtime dependency on apache2 | httpd.
  * d/keystone.postinst: Drop pki_setup call as PKI tokens are officially
    deprecated for removal upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 14:53:13 +0100

## keystone 10.0.3

=== debian/changelog ===
keystone (2:10.0.3-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * LDAP backend performance improvements (LP: #1582585)
    - d/p/faster-id-mapping-lookup.patch: Allow querying for all
      public ids in a domain at once instead of N queries (one per
      entity).
    - d/p/fallback-for-custom-id-map-drivers.patch: Add fallback
      path for faster-id-mapping lookup for any customer id mapping
      drivers that may be in use or existing deployments.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 10 Jan 2018 14:09:56 -0700

keystone (2:10.0.3-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * d/p/*: Rebased.
  * New upstream point release for OpenStack Newton (LP: #1718033).
  * d/p/0001-Make-flushing-tokens-more-robust.patch: Dropped. Fixed upstream
    in https://review.openstack.org/#/c/482606/.
  * d/p/keystone_manage_mapping_engine_fix.patch: Dropped. Fix upstream in
    https://review.openstack.org/#/c/466873/.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Sep 2017 14:36:51 -0400

keystone (2:10.0.2-0ubuntu1~cloud0) xenial-newton; urgency=medium

  [ Frode Nordahl ]
  * d/p/keystone_manage_mapping_engine_fix.patch: Fix keystone-manage
    mapping_engine usability issues (LP: #1655182).

  [ James Page ]
  * New upstream point release for OpenStack Newton (LP: #1705176).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 12:18:09 +0100

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-coverage (>= 3.6),
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.6.2),
                     python-fixtures (>= 3.0.0),
                     python-freezegun,
                     python-hacking,
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-ldap (>= 2.4),
                     python-ldappool (>= 1.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-msgpack (>= 0.4.0),
                     python-oauthlib (>= 0.6),
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.16.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-passlib (>= 1.6),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pycadf (>= 1.1.0),
                     python-pymongo (>= 3.0.2),
                     python-pymysql,
                     python-pysaml2 (>= 2.4.0),
                     python-requests (>= 2.8.1),
                     python-routes (>= 2.2),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-tempest (>= 1:12.1.0),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-cryptography (>= 1.0),
         python-dogpile.cache (>= 0.6.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-oauthlib (>= 0.6),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-osprofiler (>= 1.4.0),
         python-passlib (>= 1.6),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 2.4.0),
         python-routes (>= 2.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ldap (>= 2.4),
          python-ldappool (>= 1.0),
          python-memcache,
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi,
         python-keystone (= ${source:Version}),
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

%:
	dh $@ --with apache2,python2,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	patch -p1 -R < debian/patches/sql_connection.patch
	mkdir -p $(CURDIR)/keystone/tests/tmp
	ostestr
	patch -p1 < debian/patches/sql_connection.patch
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	dh_install --fail-missing -Xusr/etc
	rm -rf debian/python-keystone/usr/lib/python*/*/doc
	rm -rf debian/python-keystone/usr/lib/python*/*/tools
	rm -rf debian/python-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf
	install -D -m 0644 $(CURDIR)/httpd/keystone.py $(CURDIR)/debian/python-keystone/usr/share/keystone/wsgi.py

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/tests/tmp
	rm -rf $(CURDIR)/.testrepository
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## keystone 11.0.0

=== debian/changelog ===
keystone (2:11.0.0-0ubuntu1.1) zesty; urgency=medium

  * d/keystone.conf: Fix typo in combined log format (LP: #1671509).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Mar 2017 15:24:46 -0500

keystone (2:11.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 10:03:19 -0500

keystone (2:11.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:52:15 -0500

keystone (2:11.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/control: Align (Build-)Depends with upstream.
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 09:31:35 -0500

keystone (2:11.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align python-passlib with upstream.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-version-info.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:32:41 -0500

keystone (2:11.0.0~b1-0ubuntu3) zesty; urgency=medium

  * debian/patches/add-missing-manifest.patch: Add missing manifest.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 15:37:07 -0500

keystone (2:11.0.0~b1-0ubuntu2) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control: Remove python-ldap dependency since it
    is no longer used.
  * debian/control: Suggest python-pyldap so its consistent with
    python-ldap.

  [ Corey Bryant ]
  * d/.control: Bump python-ldappool min to 2.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2016 13:39:23 -0500

keystone (2:11.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/rules: Drop install of https/keystone.py. Upstream has removed
    it after deprecation in favor of keystone-wsgi-[admin|public].
  * d/control: Align python-oslo.utils with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Drop min version of python-ldap (>= 2.4) since we have 2.4
    back to trusty and it's causing package builds to fail.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebased.
  * d/control: Align (build-)depends with upstream.
  * d/rules, d/setup-keystone-config.sh: Generate config instead of using
    hardcoded.

  [ Chuck Short ]
  * debian/control: Dropped python-coverage since its not needed
    to run unit tests. 

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.

  [ Corey Bryant ]
  * d/rules, d/setup-kleystone-config.sh, d/setup-keystone-config.sh: Dropped.
    Just use default generated keystone.conf.
  * d/logging.conf, d/rules: Dropped d/logging.conf in favor of
    etc/logging.conf.sample.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Nov 2016 13:19:45 -0500
